@keyframes slidy {
0% { left: 0%; }
20% { left: 0%; }
25% { left: -100%; }
45% { left: -100%; }
50% { left: -200%; }
70% { left: -200%; }
75% { left: -300%; }
95% { left: -300%; }
100% { left: -400%; }
}

@font-face {
    font-family: "MyFont";
    src: url('Comfortaa/Comfortaa_Thin.ttf');
}

* {
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

/*
html{
    height: 100%;
}
*/

body {
    margin: 0;
    padding: 0;
    font-family: Tahoma, Arial;
    font-size: 12pt;
}

/* usunięcie domyślnych zewnętrznych ramek w przeglądarce Chrome z pól formularza !!! */
textarea:focus, input:focus{
    outline: 0;
}

header {
    width: 100%;
    height: 70vh;
    background: url('../img/harmony-1229892_1920.jpg') center/cover no-repeat;
    overflow: hidden;
}

div#slider { overflow: hidden; }

#figure { 
  position: relative;
  width: 400%;
  margin: 0;
  left: 0;
  text-align: left;
  animation: 30s slidy infinite;
}

#figure div { width: 25%; float: left; height: 70vh; z-index: -1;}

#maska {
    height: 70vh;
    background-color: rgba(3, 31, 57, .5);
    position: relative;
    left: 0;
    color: #fff;
}

/*
header div {
    width: 100%;
    height: 100%;
    background-color: rgba(3, 31, 57, .5);
    overflow: hidden;
    letter-spacing: 1.3pt;
    color: white;
    font-size: 2em;
}
*/

/*pierwszy span - m. inn. w header*/
span:first-of-type {
    color: darkorange;
}

span.normal {
    color: #000;
}

a#tel_1 {
    color: darkorange;
    text-decoration: underline;
}

#maska h1 {
    font-weight: normal;
    font-size: 4em;
    line-height: 1.5em;
    padding: 0;
    font-family: "MyFont";
    letter-spacing: 10px;
    top:50%;
    transform: translateY(-50%);
    position: absolute;
/*    margin: 0 auto;*/
    width: 100%;
    text-align: center;
    margin: 0;
}

#one {
    background: url('../img/harmony-1229892_1920.jpg') center/cover no-repeat;   
}

#two {
    background: url('../img/marble-1779178_1920.jpg') center/cover no-repeat;
}

#three {
    background: url('../img/pink-rose-2281812_1920.jpg') center/cover no-repeat;
}

#four {
    background: url('../img/marble-853399_1920.jpg') center/cover no-repeat;
}


nav {
    min-height: 60px;
    background-color: rgb(20, 56, 87);
    line-height: 60px;
    text-align: center;
    overflow: hidden;
    letter-spacing: 1.5pt;
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    left: 0;
    z-index: 100;
}

nav ul {
    list-style: none;
    margin: 0;
    padding: 0;
}

nav li{
    margin: 0;
    padding: 0;
    float: left;
    /*width: 14.28571428571429%;*/
    width: 20%;
}

nav a {
    text-decoration: none;
    color: white;
    display: block;
    border-top: 1px solid darkorange;
    -webkit-transition: all 1s ease;
    transition: all 1s ease;
}

nav a:hover {
    background-color: #09243B;
    border-top: 1px solid #fff;
/*    poniższe użyte do nadpisania styli - dziedziczone z bootstrap-a ! */
    text-decoration: none;
    color:white;
}


nav a:focus {
    /*    poniższe użyte również do nadpisania styli - dziedziczone z bootstrap-a ! */
    text-decoration: none;
    color:white;
}

nav span{
    color: darkorange;
    font-weight: bold;
}

h2 {
    color: darkorange;
    border-bottom: 1px dotted darkorange;
    font-weight: normal;
    letter-spacing: 1.5pt;
    padding-bottom: 10px;
    margin-top: 50px;
    margin-left: 60px;
    margin-right: 60px;
}

section ul {
    list-style: none;
    line-height: 2em;
    padding: 0;
}

section {
    text-align: center;
    min-height: 400px;
}

section:nth-of-type(2) {
	background: url('../img/marble-853399_1920.jpg') center/cover no-repeat;
    background-attachment: fixed;
}

section:nth-of-type(4) {
	background: url('../img/background-1873259_1920.jpg') center/cover no-repeat;
    background-attachment: fixed;
}

section:nth-of-type(even) {
    color: #fff;
}

section div.kolor {
    background-color: rgba(3, 31, 57, .5);
    overflow: hidden;
    min-height: 400px;
}

iframe#mapa {
    margin-bottom: 40px;
    width: 50%;
    height: 470px;
}

form {
    margin: 50px 0;
}

input, textarea {
    color: dimgray;
    width: 50%;
    display: block;
    padding: 20px;
    margin: 20px auto;
    border: 1px solid silver;
    border-radius: 4px;
    resize: none;
    font-family: Tahoma, Arial;
    font-size: 0.8em;
}

#r-captcha {
    max-width: 50%;
    margin: 0 auto;
}

input[type="submit"]{
    font-size: 18px;
    font-weight: bold;
    border-color: darkgray;
    letter-spacing: 0.2em;
    background-color: lightgray;
}

input:focus, textarea:focus {
    border-color: darkorange;
}

input[type="submit"]:hover{
    border-color: darkorange;
}

#kon {
    width: 50%;
    margin: 0 auto;
}

footer {
    min-height: 80px;
    background-color: #09243B;
    color: white;
/*    line-height: 80px;*/
    text-align: center;
    font-style: italic;
    font-size: 0.8em;
    padding: 20px;
    position: relative;
    line-height: 2em;
}

footer a{
    color: darkorange;
    text-decoration: none;
}

footer a:hover{
    text-decoration: underline;
    color: darkorange;
}


#to_top{
    position: fixed;
    bottom: 50px;
    right: 20px;
    border: 1px solid #e0dcdc;
    border-radius: 8px;
    font-size: 1.2em;
    display: none;
    z-index: 999;
    background: #e0dcdc;
}

#to_top a{
    color: dimgray;
    text-decoration: none;
    display: block;
    padding: 15px;
}

#to_top a:hover{
    color: darkorange;
}

@media only screen and (max-width: 600px) {
    
    header {
        height: 50vh;
    }
    
    #figure div {height: 50vh;}

    #maska {
        height: 50vh;
    }
    
    nav {
        position: static;
    }
    
    nav li{
        clear: both;
        width: 100%;
    }
    
    #maska h1{
        font-size: 2.5em;   
    }
    
    #cd{
        display: none;
    }
    
    #to_top {
	    bottom: 20px;
        right: 10px;
        font-size: 1em;
    }
    
    iframe{
        width: 90%;
    }
    
    input, textarea {
        width: 80%;
    }
    
    #r-captcha {
    max-width: 90%;
    }
    
    #kon {
    width: 80%;
    }
    

} /* end media*/